> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/connectivity > Get the connectivity graph for a device ## OpenAPI ````json GET /v1/devices/{deviceId}/connectivity { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/connectivity": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdConnectivityGetResponse" } } } } }, "description": "Get the connectivity graph for a device" } } }, "components": { "schemas": { "v1DevicesDeviceIdConnectivityGetResponse": { "type": "object", "properties": { "edges": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ConnectivityGraphEdge" } }, "nodes": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2ConnectivityGraphNode" } } }, "additionalProperties": false }, "manaV2ConnectivityGraphEdge": { "type": "object", "properties": { "a": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "b": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "connections": { "$ref": "#/components/schemas/manaV2GraphiantConnections" }, "quality": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2ConnectivityGraphNode": { "type": "object", "properties": { "connections": { "$ref": "#/components/schemas/manaV2GraphiantConnections" }, "id": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "name": { "type": "string", "example": "example string" }, "overrideRegion": { "type": "string", "example": "example string" }, "region": { "type": "string", "example": "example string" }, "type": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2GraphiantConnections": { "type": "object", "properties": { "controlConnection": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2IpsecConnection" } }, "coreConnection": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2IpsecConnection" } }, "managementConnection": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2IpsecConnection" } } }, "additionalProperties": false }, "manaV2IpsecConnection": { "type": "object", "properties": { "destIp": { "type": "string", "example": "example string" }, "destPort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "lastEstablishedTime": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "quality": { "type": "string", "example": "ENUM_VALUE" }, "sourceIp": { "type": "string", "example": "example string" }, "sourcePort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````